ViennaCL - The Vienna Computing Library: tests/src/matrix_convert.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
matrix_convert.cpp File Reference
`#include <iostream>`
`#include <iomanip>`
`#include <vector>`
`#include "viennacl/backend/memory.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/matrix_proxy.hpp"`

Go to the source code of this file.

## Functions
template<typename NumericT , typename MatrixT >
int | check (std::vector< NumericT > const &std_dest, std::size_t start1, std::size_t inc1, std::size_t size1, std::size_t start2, std::size_t inc2, std::size_t size2, std::size_t internal_size2, MatrixT const &vcl_dest)
template<typename STLVectorT1 , typename STLVectorT2 , typename ViennaCLVectorT1 , typename ViennaCLVectorT2 >
int | test (STLVectorT1 &std_src, std::size_t start1_src, std::size_t inc1_src, std::size_t size1_src, std::size_t start2_src, std::size_t inc2_src, std::size_t size2_src, std::size_t internal_size2_src, STLVectorT2 &std_dest, std::size_t start1_dest, std::size_t inc1_dest, std::size_t size1_dest, std::size_t start2_dest, std::size_t inc2_dest, std::size_t size2_dest, std::size_t internal_size2_dest, ViennaCLVectorT1 const &vcl_src, ViennaCLVectorT2 &vcl_dest)
std::string | type_string (unsigned int)
std::string | type_string (int)
std::string | type_string (long)
std::string | type_string (float)
std::string | type_string (double)
template<typename LayoutT , typename FromNumericT , typename ToNumericT >
int | test ()
template<typename FromNumericT , typename ToNumericT >
int | test ()
int | main ()

## Detailed Description

Tests conversion between matrices with different numeric type

Test:
  Tests conversion between matrices with different numeric type

Definition in file matrix_convert.cpp.

## Function Documentation

template<typename NumericT , typename MatrixT >

int check | ( | std::vector< NumericT > const & | std_dest,
|  | std::size_t | start1,
|  | std::size_t | inc1,
|  | std::size_t | size1,
|  | std::size_t | start2,
|  | std::size_t | inc2,
|  | std::size_t | size2,
|  | std::size_t | internal_size2,
|  | MatrixT const & | vcl_dest
| ) |  |

Definition at line 41 of file matrix_convert.cpp.

int main | ( |  | ) |

Definition at line 303 of file matrix_convert.cpp.

template<typename STLVectorT1 , typename STLVectorT2 , typename ViennaCLVectorT1 , typename ViennaCLVectorT2 >

int test | ( | STLVectorT1 & | std_src,
|  | std::size_t | start1_src,
|  | std::size_t | inc1_src,
|  | std::size_t | size1_src,
|  | std::size_t | start2_src,
|  | std::size_t | inc2_src,
|  | std::size_t | size2_src,
|  | std::size_t | internal_size2_src,
|  | STLVectorT2 & | std_dest,
|  | std::size_t | start1_dest,
|  | std::size_t | inc1_dest,
|  | std::size_t | size1_dest,
|  | std::size_t | start2_dest,
|  | std::size_t | inc2_dest,
|  | std::size_t | size2_dest,
|  | std::size_t | internal_size2_dest,
|  | ViennaCLVectorT1 const & | vcl_src,
|  | ViennaCLVectorT2 & | vcl_dest
| ) |  |

Definition at line 73 of file matrix_convert.cpp.

template<typename LayoutT , typename FromNumericT , typename ToNumericT >

int test | ( |  | ) |

Definition at line 120 of file matrix_convert.cpp.

template<typename FromNumericT , typename ToNumericT >

int test | ( |  | ) |

Definition at line 285 of file matrix_convert.cpp.

std::string type_string | ( | unsigned | int | ) |
| inline

Definition at line 112 of file matrix_convert.cpp.

std::string type_string | ( | int |  | ) |
| inline

Definition at line 113 of file matrix_convert.cpp.

std::string type_string | ( | long |  | ) |
| inline

Definition at line 115 of file matrix_convert.cpp.

std::string type_string | ( | float |  | ) |
| inline

Definition at line 116 of file matrix_convert.cpp.

std::string type_string | ( | double |  | ) |
| inline

Definition at line 117 of file matrix_convert.cpp.